Skip to Content
Cloud One
  • Products

    Business Communication Suite & Phone System


      By Edition

      ​Cloud

      Software

      Appliance

    By Deployment

    ​On-premise

    Hosted by Cloud One

    Self-hosted

    By Management

    ​Managed By Cloud One

    Semi-Managed by Cloud One

    Self-Managed


    Simu Connect UC Clients


    Simu Connect Web Client Simu Connect Mobile Client Simu Connect Desktop ClientSimu Connect Chrome ExtensionSimu Connect TAPI Integration

    SIP Trunks


    Business SIPPay As You Go SIP Country Presence SIPVirtual Phone NumbersGolden Phone NumbersToll Free NumbersBring Your Own Carrier (BYOC)Calling RatesTalktime Top-up

    Get a Proof of Concept Now!


    Simu Connect POC Application Managed Business Communication Suite Self Managed Business Communication SuiteSIP Trunk POCOdoo Phone POC
  • Solutions

    Business Needs


    Work from Anywhere Hosted UCaaS Self hosted UCaaSVideo ConferencingAppliance PBXAI-powered Cloud PBXWhite-label Solution

    Industry


    Call Center Healthcare HospitalityFinanceEducationLogisticsRetail BusinessGovernment Agency

    Ecosystem


    IP Phones SIP Trunks IntegrationHeadsetsVirtual Phone Numbers

    By Integration


    Odoo Phone System Zoho Phone System Salesforce Phone SystemMicrosoft Dynamics Phone SystemZendesk Phone SystemFreshdesk Phone SystemBitrix24 Phone SystemHubSpot Phone System
  • Resources

    Downloads

    Download user guides and more documents

    Book a Meeting

    Schedule a meeting at your convenience

    Developer Guide

    Read API Documentation for Cloud One BCS API

    Business Communication Suite

    Experience our user-friendly business communication suite today. Explore robust telephony features that enhance your client connections efficiently.  

    See More Details
  • Devices

    Yealink IP Phones


    Yealink T3 Series IP Phones Yealink T4 Series IP Phones Yealink T5 Series IP PhonesYealink T7 Series IP PhonesYealink T8 Series IP Phones Yealink DECT IP Phones

    Voice Conferencing Solutions


    VC Room Systems BYOD Solutions Video Phone Video Conferencing Accessories

    Microsoft Solutions


    MS Teams Rooms Systems Microsoft Phones Conference Phones HeadsetsYealink MeetingBoardYealink MeetingBoard Pro

    Zoom Rooms


    Zoom Rooms Systems Zoom Phones Zoom Cameras BYOD Solutions
  • Help

    Ticketing System


    Submit a Helpdesk TicketReport an Issue

    Training


    User TrainingOperator TrainingCall Center Agent TrainingSupervisor Training

    Frequently Asked Questions


    General FAQBCS FAQSIP Trunks FAQLocal Phone Numbers FAQ

    Contact Us


    WhatsApp Icon


  • Support Helpdesk Contact
  • +254 20 790 0100
  • support@cloudone.co

  • Accounts Helpdesk Contact
  • +254 20 790 0000
  • finance@cloudone.co
  • Visit our Office


    Cloud One Ltd

    Saachi Plaza - Unit A3, Argwings Kodhek Road, Nairobi, Kenya
    P.O.Box 76484-00508 Yaya Centre

    +254 20 790 0000

    hello@cloudone.co


    Kindly do not email multiple contacts as it creates multiple tickets on our CRM


  • Contact Us
  • Blog
    ​​
  • Sign in
  • 0
  • 0
  • Deploy in hours Certified Experts Zero Setup / License Fees*
  • Follow us
    Click here to setup your social networks
    Click here to setup your social networks
Cloud One
  • 0
  • 0
    • Products
    • Solutions
    • Resources
    • Devices
    • Help
    • Contact Us
    • Blog
  • Deploy in hours Certified Experts Zero Setup / License Fees*
  • Follow us
    Click here to setup your social networks
    Click here to setup your social networks
  • Sign in
  • ​​

Get Menu Options

Query the menu option details when creating and updating features.

Background information

When creating and updating features, you can use the interface to query the menu options of desired features. The interface supports to query the option details (ID, name, or type) of specific features including extension, extension group, organization, trunk, user role, phonebook, group voicemail, IVR, call flow, ring group, queue, queue agent, conference, PIN list, system prompt, custom prompt, certificates, AI receptionist, etc.

Request URL

GET {base_url}/{api_path}/system/get_menuoptions?access_token={access_token}

Request parameters

ParameterRequiredTypeDescription
menuYesStringThe menu that you want to query.

Valid value:

  • extension: Extension.
  • ext_group: Extension group.
  • org_list: Organization list.
  • trunk: Trunk.
  • role: User role.
  • phonebook: Phonebook.
  • group_vm: Group voicemail.
  • ivr: IVR.
  • call_flow: Call flow.
  • ring_group: Ring group.
  • queue: Queue.
  • queue_agent: Queue agent.
  • conference: Conference.
  • pinset: PIN list.
  • system_prompt: System prompt.
  • custom_prompt: Custom prompt.
  • paging_custom_prompt: Custom prompts available for paging group.
  • disposition_code: Call disposition code.
  • message_channel: Message channel.
  • message_queue: Message queue.
  • trunk_did_id: The ID of DID number.
  • certificate: The available HTTPs certificates for PBX web server.
  • ai_receptionist: AI receptionist.
idNoIntegerThe unique ID of the queue.Note:This parameter is required when querying the agents included in a queue.

Response parameters

ParameterTypeDescription
errcodeIntegerReturned error code.
  • 0: Succeed.
  • Non-zero value: Failed.
Note:You can check the error code and error message in Error Code and Error Message.
errmsgStringReturned message.
  • SUCCESS: Succeed.
  • FAILURE: Failed.
dataArray<Options>The information of the menu options.

Options

ParameterTypeDescription
textStringThe name of the menu options.
valueStringThe ID of the menu options.

For example, when the menu is trunk, the value displays the trunk ID.

typeStringThe type of the menu options.

For example, when the menu is trunk, the type displays the trunk type.

itemArray<Sub_Org>The information of the sub-organization.Note:This parameter is returned only when querying organization list.

Sub_Org

ParameterTypeDescription
textStringThe name of the sub-organization.
valueStringThe ID of the sub-organization.

Examples

  • Example 1: Query the menu options of user role.

    Request example

    GET /openapi/v1.0/system/get_menuoptions?access_token=ImvFJSbT9DUi9iQpssHgIlQgC2pb5ZHB&menu=role 
    Host: 192.168.5.150:8088

    Response example

    HTTP/1.1 200 OK
    {
        "errcode": 0,
        "errmsg": "SUCCESS",
        "data": [
            {
                "text": "None",
                "value": "0"
            },
            {
                "text": "Administrator",
                "value": "1"
            },
            {
                "text": "Supervisor",
                "value": "2"
            },
            {
                "text": "Operator",
                "value": "3"
            },
            {
                "text": "Employee",
                "value": "4"
            },
            {
                "text": "Human Resource",
                "value": "5"
            },
            {
                "text": "Accounting",
                "value": "6"
            }
        ]
    }
  • Example 2: Query the menu options of organization.

    Request example

    GET /openapi/v1.0/system/get_menuoptions?access_token=sIqNaNz22Ph0HKLp25m1aYJJVUbhHyOP&menu=org_list HTTP/1.1
    Host: 192.168.5.150:8088

    Response example

    HTTP/1.1 200 OK
    {
        "errcode": 0,
        "errmsg": "SUCCESS",
        "data": [
            {
                "text": "Yeastar",
                "value": "1",
                "item": [
                    {
                        "text": "Tech support",
                        "value": "2"
                    },
                    {
                        "text": "Sales",
                        "value": "3"
                    }
                ]
            }
        ]
    }
Useful Links
  • Home
  • About us
  • Products
  • Services
  • Shipping
  • Return Policy
  • Warranty
  • Contact us
Legal
  • Terms
  • Privacy
  • Shared Responsibility
    Service Level Agreement
  • Certifications
About us

Cloud One Limited is a leading Kenyan local telephony service provider. Established in 2017, we offer reliable and secure cloud and on premise business communication solutions, including SIP trunks, Yealink IP phones, and VPS hosting in our Tier 3 data center.


Our mission is to revolutionize cloud communications by providing unparalleled reliability, cutting-edge innovation, and substantial cost savings. We deliver a stress-free, always-available service experience that empowers businesses to thrive in the digital age.

DUNS Registration Number: 561230946
Company Registration Number: PVT-5JUEYMA
Licensed & Regulated by the Communications Authority of Kenya


Follow us
Connect with us
  • Contact us
  • hello@cloudone.co
  • +254 20 7900000
  • Saachi Plaza, UNIT A3 - Argwings Kodhek Rd
Download Simu Connect

    Get the app on the playstore

    Download desktop app for Windows​

    Download app from the appstore

    Download MacOS app